#!/usr/bin/env python
import os, shutil
from mkp import dist

print(os.getcwd())

os.makedirs(f"cmk_addons_plugins/{os.environ.get('PROJECT_NAME')}")

if os.path.exists('agent_based'):
    items = ['__init__.py', 'agent_based', 'graphing', 'libexec', 'rulesets', 'server_side_calls', 'special_agents', 'checkman'] # 'lib'
    for item in items:
        if os.path.exists(item):
            shutil.move(item, f"cmk_addons_plugins/{os.environ.get('PROJECT_NAME')}")
else:
    items = ['__init__.py', 'agent_based', 'graphing', 'libexec', 'rulesets', 'server_side_calls', 'special_agents']
    for item in items:
        if os.path.exists(item):
            shutil.move(item, f"cmk_addons_plugins/{os.environ.get('PROJECT_NAME')}")

version = os.environ.get("CI_COMMIT_TAG")
name = os.environ.get("PROJECT_NAME")
title = os.environ.get("CI_PROJECT_TITLE")
author = os.environ.get("PROJECT_AUTHOR")
description = os.environ.get("CI_PROJECT_DESCRIPTION")
download_url = os.environ.get("CI_PROJECT_URL")

dist_dict = {
    'name': name,
    'title': title,
    'author': author,
    'description': description,
    'download_url': download_url,
    'version': version,
    'version.packaged': 'python-mkp',
}

if os.environ.get("CMK_MIN_REQUIRED"):
    dist_dict['version.min_required'] = os.environ.get("CMK_MIN_REQUIRED")

if os.environ.get("CMK_USABLE_UNTIL"):
    dist_dict['version.usable_until'] = os.environ.get("CMK_USABLE_UNTIL")


dist(dist_dict)
